"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EncryptedStorageAdapter = void 0;
var _reactNativeEncryptedStorage = _interopRequireDefault(require("react-native-encrypted-storage"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
class EncryptedStorageAdapter {
  async store(key, data) {
    try {
      const parsed = typeof data === 'object' ? JSON.stringify(data) : data;
      await _reactNativeEncryptedStorage.default.setItem(key, parsed);
    } catch (error) {
      throw error;
    }
  }
  async retrieve(key) {
    try {
      const result = await _reactNativeEncryptedStorage.default.getItem(key);
      return result || '';
    } catch (error) {
      throw error;
    }
  }
  async clean() {
    try {
      await _reactNativeEncryptedStorage.default.clear();
    } catch (error) {
      throw error;
    }
  }
}
exports.EncryptedStorageAdapter = EncryptedStorageAdapter;
//# sourceMappingURL=EncryptedStorageAdapter.js.map