"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ExpoSecureStoreStorageAdapter = void 0;
var SecureStore = _interopRequireWildcard(require("expo-secure-store"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
/**
 * For applications that use expo we provide this storage
 * @see https://docs.expo.dev/versions/latest/sdk/securestore
 */
class ExpoSecureStoreStorageAdapter {
  async store(key, data) {
    const parsed = key === 'messages' ? JSON.stringify(data) : data;
    await SecureStore.setItemAsync(key, parsed);
  }
  async retrieve(key) {
    const result = await SecureStore.getItemAsync(key);
    if (key === 'messages') {
      /**
       * FIX ME
       * somewhere of application we're stringfying twice
       */
      return result ? JSON.parse(JSON.parse(result)) : [];
    } else {
      return result || '';
    }
  }
  async clean() {
    await Promise.all([SecureStore.deleteItemAsync('sessionId'), SecureStore.deleteItemAsync('messages')]);
  }
}
exports.ExpoSecureStoreStorageAdapter = ExpoSecureStoreStorageAdapter;
//# sourceMappingURL=ExpoSecureStoreStorageAdapter.js.map