import React, { useRef } from 'react';
import { FlatList, View } from 'react-native';
import MessageComponent from './components/MessageComponent';
import { styles } from './styles';
export const MessageList = _ref => {
  let {
    data,
    settings
  } = _ref;
  const list = typeof data === 'string' ? [] : data;
  const flatlistRef = useRef(null);
  const renderItem = _ref2 => {
    let {
      item
    } = _ref2;
    return /*#__PURE__*/React.createElement(MessageComponent, {
      settings: settings,
      message: item
    });
  };
  const scrollBottom = () => {
    var _flatlistRef$current, _flatlistRef$current$;
    if (data.length) (_flatlistRef$current = flatlistRef.current) === null || _flatlistRef$current === void 0 ? void 0 : (_flatlistRef$current$ = _flatlistRef$current.scrollToEnd) === null || _flatlistRef$current$ === void 0 ? void 0 : _flatlistRef$current$.call(_flatlistRef$current);
  };
  return /*#__PURE__*/React.createElement(View, {
    style: styles.messagesContainer
  }, /*#__PURE__*/React.createElement(FlatList, {
    ref: flatlistRef,
    data: list,
    onContentSizeChange: scrollBottom,
    onLayout: scrollBottom,
    renderItem: renderItem,
    keyExtractor: msg => (msg === null || msg === void 0 ? void 0 : msg.id) || 'yo'
  }));
};
//# sourceMappingURL=index.js.map