import * as SecureStore from 'expo-secure-store';

/**
 * For applications that use expo we provide this storage
 * @see https://docs.expo.dev/versions/latest/sdk/securestore
 */
export class ExpoSecureStoreStorageAdapter {
  async store(key, data) {
    const parsed = key === 'messages' ? JSON.stringify(data) : data;
    await SecureStore.setItemAsync(key, parsed);
  }
  async retrieve(key) {
    const result = await SecureStore.getItemAsync(key);
    if (key === 'messages') {
      /**
       * FIX ME
       * somewhere of application we're stringfying twice
       */
      return result ? JSON.parse(JSON.parse(result)) : [];
    } else {
      return result || '';
    }
  }
  async clean() {
    await Promise.all([SecureStore.deleteItemAsync('sessionId'), SecureStore.deleteItemAsync('messages')]);
  }
}
//# sourceMappingURL=ExpoSecureStoreStorageAdapter.js.map